uk.gov.hmrc.test.unigration

# UnigrationFixtures

###
Related Doc: package unigration

#### trait UnigrationFixtures extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
ControllerUnigrationSpec, RequestHandlerBehaviours, UnigrationBase
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnigrationFixtures
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def random0To9: Int

    Attributes
      protected

16. #### def randomBigDecimal(limit: Int): BigDecimal

    Attributes
      protected

17. #### def randomBigDecimal: BigDecimal

    Attributes
      protected

18. #### def randomBoolean: Boolean

    Attributes
      protected

19. #### def randomDomainName: String

    Attributes
      protected

20. #### def randomEmail(firstName: String, lastName: String): String

    Attributes
      protected

21. #### def randomEmail: String

    Attributes
      protected

22. #### def randomFirstName: String

    Attributes
      protected

23. #### def randomISO3166Alpha2CountryCode: String

    Attributes
      protected

24. #### def randomISO4217CurrencyCode: String

    Attributes
      protected

25. #### def randomInt(limit: Int): Int

    Attributes
      protected

26. #### def randomLastName: String

    Attributes
      protected

27. #### def randomString(length: Int): String

    Attributes
      protected

28. #### def randomUUID: String

    Attributes
      protected

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped